﻿@model IEnumerable<TooJaVile.Models.Vacation>

@{
    ViewBag.Title = "Puhkuseavaldused"; @*@Muutsin nime KL*@
}
<style>

    table {
        border: 2px solid #de9c6c;
    }

    td, th {
        border: 1px solid #de9c6c;
    }


    tr:nth-child(even) {
        background-color: lightgray;
    }
</style>


<h2>Puhkuseavaldused</h2>
<p>
    @Html.ActionLink("Uus puhkuseavaldus", "Create")

</p>
@*Lisasin puhkuse liikide ja puhkuse staatuste filtreerimise dropdownlisid*@
<span style="display: inline-block">

    @using (Html.BeginForm("Index", "Vacations", FormMethod.Post, new { name = "myform2" }))
    {
        @Html.DropDownList("Puhkuseliik", null, "-- Kõik liigid --", new { onchange = "document.myform2.submit()" })
        @Html.Hidden("SortOrder")//jätab meelde sorditud järjekorra
    }
</span>
<span style="display: inline-block">
    @using (Html.BeginForm("Index", "Vacations", FormMethod.Post, new { name = "myform" }))
    {
        @Html.DropDownList("Staatus", null, "-- Kõik staatused --", new { onchange = "document.myform.submit()" })
        @Html.Hidden("SortOrder")//jätab meelde sorditud järjekorra
    }
</span>
<p></p>


<table class="table">
    <tr>
        <th>
            @Html.ActionLink("Alguskuupäev", "Index", new { sortOrder = (ViewBag.SortOrder == "Date" ? "Date_desc" : "Date") })
        </th>
        <th>
            @Html.ActionLink("Lõppkuupäev", "Index", new { sortOrder = (ViewBag.SortOrder == "Date" ? "EndDate_desc" : "EndDate") })
        </th>
        <th>
            @Html.ActionLink("Nimi", "Index", new { sortOrder = (ViewBag.SortOrder == "Name" ? "Name_desc" : "Name") })
        </th>
        <th>
            @Html.ActionLink("Osakond", "Index", new { sortOrder = (ViewBag.SortOrder == "Department" ? "Department_desc" : "Department") })
        </th>
        <th>
            @Html.ActionLink("Puhkuse liik", "Index", new { sortOrder = (ViewBag.SortOrder == "Type" ? "Type_desc" : "Type") })
        </th>
        <th>
            @Html.ActionLink("Puhkuse staatus", "Index", new { sortOrder = (ViewBag.SortOrder == "Status" ? "Status_desc" : "Status") })
        </th>

        <th></th>
    </tr>


    @foreach (var item in Model)
    {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.StartDate)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.EndDate)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Person.FirstName)
                @Html.DisplayFor(modelItem => item.Person.LastName)
                @*@Html.ActionLink("LastName", "Index", new { sortOrder = ViewBag.NameSortParm })*@
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Person.Department.Name)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.VacationTypeName)
            </td>
            @{ var color = "lightgray";
                if (item.VacationState == 0)
                {
                    color = "#9fdfbf";
                }
                else if (item.VacationState == 1)
                {
                    color = "#ffff99";
                }
                else if (item.VacationState == 2)
                {
                    color = "#ff9999";
                }
            }
            <td style="background-color: @color">
                @Html.DisplayFor(modelItem => item.VacationStateName)
            </td>

            @if (ViewBag.CurrentPerson.IsManager || ViewBag.CurrentPerson.IsAccountant ||
                (item.PersonId == ViewBag.CurrentPerson.Id && item.VacationState == 0 || item.VacationState == 2))
            {
                <td>
                    @Html.ActionLink("Muuda", "Edit", new { id = item.Id }) |
                    @Html.ActionLink("Vaata", "Details", new { id = item.Id }) |
                    @Html.ActionLink("Kustuta", "Delete", new { id = item.Id })
                </td>
            }
            else
            {
                <td>
                    @Html.ActionLink("Vaata", "Details", new { id = item.Id })
                </td>
            }
        </tr>
    }

</table>


<div class="form-group">
    <div class="col-md-offset-2 col-md-10">
        <input type="submit" value="Kinnita kõik" class="btn btn-default" style="float: right;" 
               onclick="location.href='@Url.Action("Accept", "Vacations")'"/>
    </div>
</div>


